import { HttpErrorResponse } from '@angular/common/http';
import { MonkeyEcxRequestSchedule } from '../../interfaces';
import { MonkeyEcxService } from '../monkeyecx-service.service';
import { MonkeyEcxLoggedHandlingService } from '../logged';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestScheduleService {
    monkeyecxService: MonkeyEcxService;
    private monkeyLoggedHandlingService;
    private schedule;
    private genericSchedule;
    constructor(monkeyecxService: MonkeyEcxService, monkeyLoggedHandlingService: MonkeyEcxLoggedHandlingService);
    private addToSchedule;
    private addToGenericSchedule;
    private removeFromSchedule;
    private removeFromGenericSchedule;
    private removeFromScheduleById;
    private doCall;
    private doGenericCall;
    setSchedule(q: MonkeyEcxRequestSchedule, delay?: number): {
        interval: number;
        id: string;
        url: string;
        method: string;
        params?: any;
        data?: any;
        action(data: any, sch: MonkeyEcxRequestSchedule): void;
        errorAction?(data: any, sch: MonkeyEcxRequestSchedule, err?: HttpErrorResponse | undefined): void;
        queue?: import("../../interfaces").MonkeyEcxRequestQueue | undefined;
    };
    setGenericSchedule(q: MonkeyEcxRequestSchedule, delay?: number): {
        id: string;
        interval: number;
        url: string;
        method: string;
        params?: any;
        data?: any;
        action(data: any, sch: MonkeyEcxRequestSchedule): void;
        errorAction?(data: any, sch: MonkeyEcxRequestSchedule, err?: HttpErrorResponse | undefined): void;
        queue?: import("../../interfaces").MonkeyEcxRequestQueue | undefined;
    };
    removeSchedule(q: MonkeyEcxRequestSchedule): void;
    removeGenericSchedule(q: MonkeyEcxRequestSchedule): void;
    removeScheduleById(id: string): void;
    getScheduleById(id: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestScheduleService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestScheduleService>;
}
